mixin link (title, href, text)
  - if (typeof(text) === 'undefined') text = title
  - if (typeof(href) === 'undefined') href = '#'
  a(href=href, title=title)&attributes(attributes)
    if block
      block
    else
      !=text
mixin link-img (title, src, href, text)
  +link (title, href, text)&attributes(attributes)
    +img (title, src)

mixin list-listing (items, displayText)
  ul&attributes(attributes)
    each item, key in items
      li
        - var href = '#'
        - if(typeof(item.href) !== 'undefined') href = item.href
        a(href=href, title=item.title)
          if (typeof(item.img)!='undefined')
            image('src' = item.img,'title'=item.title)
          if (typeof(displayText)=='undefined')
            span #{item.title}
mixin social-list(items)
  ul&attributes(attributes)
    each item, key in items
      li
        if (typeof(item.href) == 'undefined')
          a(title=item.title,href="#")
            if (typeof(item.img)!='undefined')
              image('src' = item.img,'title'=item.title)
        else
          a(title=item.title,href=item.href)
            if (typeof(item.img)!='undefined')
              image('src' = item.img,'title'=item.title)
mixin breadcrumb (items)
  ul&attributes(attributes)
    each item, index in items
      - var active = ''
      - if (index === menuIndex) active = 'active'
      li(class=active)
        +link (item.title, item.href)

